diff -ru pysvn-1.7.6.orig/Source/setup_configure.py pysvn-1.7.6/Source/setup_configure.py
--- pysvn-1.7.6.orig/Source/setup_configure.py	2012-02-28 13:53:48.000000000 -0500
+++ pysvn-1.7.6/Source/setup_configure.py	2012-11-28 14:29:33.000000000 -0500
@@ -961,21 +961,18 @@
                         '/usr/share/python%s/CXX' % (distutils.sysconfig.get_python_version(),) # typical Linux
                         ]
         self._find_paths_svn_inc = [
-                        '/opt/local/include/subversion-1',      # Darwin - darwin ports
                         '/sw/include/subversion-1',             # Darwin - Fink
                         '/usr/include/subversion-1',            # typical Linux
                         '/usr/local/include/subversion-1',      # typical *BSD
                         '/usr/pkg/include/subversion-1',        # netbsd
                         ]
         self._find_paths_svn_bin = [
-                        '/opt/local/bin',                        # Darwin - darwin ports
                         '/sw/bin',                                # Darwin - Fink
                         '/usr/bin',                                # typical Linux
                         '/usr/local/bin',                        # typical *BSD
                         '/usr/pkg/bin',                                # netbsd
                         ]
         self._find_paths_svn_lib = [
-                        '/opt/local/lib',                       # Darwin - darwin ports
                         '/sw/lib',                              # Darwin - Fink
                         '/usr/lib64',                           # typical 64bit Linux
                         '/usr/lib',                             # typical Linux
@@ -984,7 +981,6 @@
                         '/usr/pkg/lib',                         # netbsd
                         ]
         self._find_paths_apr_inc = [
-                        '/opt/local/include/apr-1',             # Darwin - darwin ports
                         '/sw/include/apr-1',                    # Darwin - fink
                         '/usr/include/apr-1',                   # typical Linux
                         '/usr/local/apr/include/apr-1',         # Mac OS X www.metissian.com
@@ -997,7 +993,6 @@
                         ]
         self._find_paths_apr_util_inc = self._find_paths_apr_inc
         self._find_paths_apr_lib = [
-                        '/opt/local/lib',                       # Darwin - darwin ports
                         '/sw/lib',                              # Darwin - fink
                         '/usr/lib64',                           # typical 64bit Linux
                         '/usr/lib',                             # typical Linux
@@ -1015,7 +1010,6 @@
     def setupUtilities( self ):
         self._addVar( 'CCCFLAGS',
                                         '-g  '
-                                        '-no-long-double '
                                         '-Wall -fPIC -fexceptions -frtti '
                                         '-I. -I%(APR_INC)s -I%(SVN_INC)s '
                                         '-D%(DEBUG)s' )
@@ -1027,12 +1021,11 @@
 
         self._addVar( 'PYTHON_VERSION',     '%d.%d' % (sys.version_info[0], sys.version_info[1]) )
         self._addVar( 'PYTHON_DIR',         sys.exec_prefix )
-        self._addVar( 'PYTHON_FRAMEWORK',   os.path.join( sys.exec_prefix, 'Python' ) )
+        self._addVar( 'PYTHON_FRAMEWORK',   os.path.join( distutils.sysconfig.get_config_var('LIBPL'), distutils.sysconfig.get_config_var('LDLIBRARY') ) )
         self._addVar( 'PYTHON_INC',         distutils.sysconfig.get_python_inc() )
 
         py_cflags_list = [
                     '-g',
-                    '-no-long-double',
                     '-Wall -fPIC -fexceptions -frtti',
                     '-I. -I%(APR_INC)s -I%(SVN_INC)s',
                     '-DPYCXX_PYTHON_2TO3 -I%(PYCXX)s -I%(PYCXX_SRC)s -I%(PYTHON_INC)s',
@@ -1045,7 +1038,6 @@
 
         py_ld_libs = [
                 '-L%(SVN_LIB)s',
-                '-L/usr/lib',
                 '-lsvn_client-1',
                 '-lsvn_repos-1',
                 '-lsvn_wc-1',
@@ -1059,11 +1051,7 @@
         self._addVar( 'CCCFLAGS', ' '.join( py_cflags_list ) )
         self._addVar( 'LDLIBS', ' '.join( py_ld_libs ) )
         self._addVar( 'LDSHARED',       '%(CCC)s -bundle -g '
-                                        '-framework System '
                                         '%(PYTHON_FRAMEWORK)s '
-                                        '-framework CoreFoundation '
-                                        '-framework Kerberos '
-                                        '-framework Security '
                                         '%(LDLIBS)s' )
 
 class UnixCompilerGCC(CompilerGCC):
